Subject: Re: [PATCH 1/2] replay: die descriptively when invalid commit-ish

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Tue, 30 Dec 2025 15:30:14 +0100

On Tue, Dec 23, 2025, at 11:52, Phillip Wood wrote:
> On 23/12/2025 03:12, Junio C Hamano wrote:
>> [email-masked] writes:
>>
>> How many callers use this function?  I am wondering if it is better
>> to give a better message at the caller(s), rather than here, where
>> we lack context to tell something like "You gave string 'ource' as
>> the argument to the '--onto' option, but 'ource' does not name any
>> commit" (in other words, "for what our caller is trying to peel
>> <name> to a commit").
>
> There are only two callers so I think that is a good idea. If you give
> an invalid commit name to "--advance" then it dies with
>
>      fatal: argument to --advance must be a reference
>
> so arguably we only need to check the return value when parsing "--onto"

Well spotted. My change would give a worse error message
for `--advance`.

I’ve made the move-line change that Junio suggested in version 2.

Thanks.